Package com.xebialabs.deployit.plugin.api.deployment.specification

# Enum Class Operation

java.lang.Object
java.lang.Enum<Operation>
com.xebialabs.deployit.plugin.api.deployment.specification.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<Operation>`, `Constable`

public enum Operation extends Enum<Operation>
The operation that is being performed on the DeployedApplication or on a single Delta object.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE`
  `DESTROY`
  `MODIFY`
  `NOOP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Operation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Operation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final Operation CREATE

  - ### DESTROY

    public static final Operation DESTROY

  - ### MODIFY

    public static final Operation MODIFY

  - ### NOOP

    public static final Operation NOOP

- ## Method Details

  - ### values

    public static Operation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Operation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null